Access Control (Template)
3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAccessControlTemplate | GET | Get access control setting template |
| modifyAccessControlTemplate | PATCH | Modify access control setting template |
| getAutoFreeAuthPolicyTemplate | GET | Get automatically generated free auth policy template items |
getAccessControlTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/access-control
Get access control setting template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getAccessControlTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get access control setting template with the given omadacId and siteTemplateId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
modifyAccessControlTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/access-control
Modify access control setting template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema PortalAccessControlOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
preAuthAccessEnable | boolean | yes | Whether to enable Pre-Authentication Access. If parameter [preAuthAccessEnable] is true, parameter [preAuthAccessPolicies] is needed |
preAuthAccessPolicies | array<PreAuthAccessPolicyOpenApiVO> | no | List of Pre-Authentication Access Policy |
freeAuthClientEnable | boolean | yes | Whether to enable Free-Authentication Client. If parameter [freeAuthClientEnable] is true, parameter [freeAuthClientPolicies] is needed |
freeAuthClientPolicies | array<FreeAuthClientPolicyOpenApiVO> | no | List of Free-Authentication Client Policy |
// omada_call_operation
{
"operationId": "modifyAccessControlTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify access control setting template. When modifying, the full configuration parameters should be passed in
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
getAutoFreeAuthPolicyTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/auto-free-auth-policy
Get automatically generated free auth policy template items
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getAutoFreeAuthPolicyTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get automatically generated free auth policy template items with the given omadacId and siteTemplateId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.